Bug 137041 - Display issues for swap and root fs in Uninitialized Entities
Display issues for swap and root fs in Uninitialized Entities
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-25 11:10 EDT by Derek Anderson
Modified: 2009-04-16 19:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-19 16:16:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-10-25 11:10:45 EDT
Description of problem:
On my test system hda1 is /boot, hda2 is /, hda3 is swap.
Look for the devices in Uninitialized Entities:
- hda1 is not visible.  This is correct based on the requirement that
we don't want people to blow away their /boot partition.
- hda2.  Under Properties the Mount Point: says "Not Mounted". Expect
to see a "/"
- hda3.  Displaying as Filesystem Type: of "boot".

Version-Release number of selected component (if applicable):
system-config-lvm-0.9.1-2.5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jim Parsons 2004-10-28 15:46:11 EDT
The code that queries for swap partition will have to be changed from
using `fdisk -l` to `swapon -s` I suppose. Still investigating one
other hopefully robust approach.
Comment 2 Jim Parsons 2004-11-19 00:39:30 EST
Now swapon is checked as well as /proc/swaps for swap partition. Also,
/etc/mtab is checked as well as /proc/mounts for mount status. If a
disk partition is mounted at '/', then the mount point field contains
a '(Root Partition)' label to alert the user.

These fixes are in 0.9.12-1.0
Comment 3 Derek Anderson 2004-11-19 16:16:11 EST
Verified in system-config-lvm-0.9.12-1.0.

The swap partition is no longer displayed in Uninitialized Entities.
The root partition is labeled as "Mount Point: / (Root Partition)"

Note You need to log in before you can comment on or make changes to this bug.